namespace Inspectron.Epson.Queue;

public class PrintResult
{
    public bool Success { get; }
    public PrintErrorType ErrorType { get; }

    private PrintResult(bool success, PrintErrorType errorType)
    {
        Success = success;
        ErrorType = errorType;
    }

    public static PrintResult Ok() => new(true, PrintErrorType.None);
    public static PrintResult Fail(PrintErrorType errorType) => new(false, errorType);
}